.timestyle16382{ font-size: 9pt ;}
.mtitlestyle16382{ font-weight: bold; font-size: 12pt; color: #ff0000 ;}
.leaderfont16382{ font-size: 9pt ;}
.titlestyle16382{ font-size: 12pt; color: #ff0000; text-decoration: none ;}

.morestyle16225{ font-size: 9pt ;}
.clickstyle16225{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont16225{ font-size: 9pt; line-height: 150% ;}
.titlestyle16225{ line-height: 150%; font-size: 9pt; text-decoration: none ;}
.columnstyle16225{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle16225{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c16225 {
line-height: 150%; font-size: 9pt; text-decoration: none 
;}
A.c16225:link {
color:#222222;}
A.c16225:visited {
color:#222222;}
A.c16225:active {
color: #222222;}
A.c16225:hover {
color: #cc0000;}
.morestyle16227{ font-size: 9pt ;}
.clickstyle16227{ font-size: 9pt; color: #222222; line-height: 150% ;}
.leaderfont16227{ font-size: 9pt; line-height: 150% ;}
.titlestyle16227{ line-height: 150%; font-size: 9pt; text-decoration: none ;}
.columnstyle16227{ font-size: 9pt; color: #222222; text-decoration: none ;}
.timestyle16227{ font-size: 9pt; color: #222222; line-height: 150%;}
A.c16227 {
line-height: 150%; font-size: 9pt; text-decoration: none 
;}
A.c16227:link {
color:#222222;}
A.c16227:visited {
color:#222222;}
A.c16227:active {
color: #222222;}
A.c16227:hover {
color: #cc0000;}
